package com.smartfoxserver.v2.redbox.exceptions
{
	/**
	 * A RedBox exception.
	 * 
	 * @author	The gotoAndPlay() Team
	 * 			{@link http://www.smartfoxserver.com}
	 */
	public class NoRoomJoinedException extends Error
	{
		/**
		 * Thrown when a the {@link AVCastManager#publishLiveCast} method is called before joining a Room.
		 * 
		 * @param	message:	the error message.
		 * 
		 * @example	The following example shows how to handle the "NoRoomJoinedException" exception.
		 * 			<code>
		 * 			try
		 * 			{
		 * 				avCastMan.publishLiveCast();
		 * 			}
		 * 			catch (err:NoRoomJoinedException)
		 * 			{
		 * 				trace (err.message);
		 * 			}
		 * 			</code>
		 * 
		 * @see		AVCastManager#publishLiveCast
		 */
		public function NoRoomJoinedException(message:String)
		{
			super(message);
		}
	}
}