package com.smartfoxserver.v2.redbox.data;

import java.util.Properties;

import com.smartfoxserver.v2.entities.data.ISFSObject;
import com.smartfoxserver.v2.entities.data.SFSObject;

public class Clip
{
	public String id;
	public String filename;
	public String username;
	
	private Properties properties;
	private Long size;
	private String lastModified;
	
	
	public Properties getProperties()
	{
		return properties;
	}

	public void setProperties(Properties properties)
	{
		this.properties = properties;
	}
	
	public String getLastModified()
	{
		return lastModified;
	}

	public void setLastModified(String lastModified)
	{
		this.lastModified = lastModified;
	}

	public Long getSize()
	{
		return size;
	}

	public void setSize(Long size)
	{
		this.size = size;
	}
	
	public Clip()
	{
	}
	
	public SFSObject toSFSObject()
	{
		SFSObject obj = new SFSObject();
		
		obj.putUtfString("id", id);
		obj.putUtfString("filename", filename);
		obj.putUtfString("username", username);
		obj.putSFSObject("properties", propertiesToSFSObj(properties));
		obj.putLong("size", size);
		obj.putUtfString("lastModified", lastModified);
		
		return obj;
	}
	
	public void fromSFSObject(SFSObject obj)
	{
		this.id = obj.getUtfString("id");
		this.filename = obj.getUtfString("filename");
		this.username = obj.getUtfString("username");
		this.properties = propertiesFromSFSObj(obj.getSFSObject("properties"));
		this.size = obj.getLong("size");
		this.lastModified = obj.getUtfString("lastModified");
	}
	
	public static ISFSObject propertiesToSFSObj(Properties props)
	{
		ISFSObject obj = new SFSObject();
		
		for (Object k : props.keySet())
		{
			String key = (String) k;
			String value = (String) props.get(k);
			obj.putUtfString(key, value);
		}
		
		return obj;
	}

	public static Properties propertiesFromSFSObj(ISFSObject obj)
	{
		Properties props = new Properties();
		
		for (String key : obj.getKeys())
			props.put(key, obj.getUtfString(key));
		
		return props;
	}
}
