package com.smartfoxserver.v2.redbox.managers;

import java.util.List;

import com.smartfoxserver.v2.entities.User;
import com.smartfoxserver.v2.entities.data.ISFSObject;
import com.smartfoxserver.v2.entities.data.SFSObject;
import com.smartfoxserver.v2.redbox.RedBoxExtension;

public class BaseManager
{
	protected RedBoxExtension mainExtension;
	protected String responsePrefix;
	
	public BaseManager(RedBoxExtension ext, String prefix)
	{
		mainExtension = ext;
		responsePrefix = prefix;
	}
	
	/**
	 * Send response to client.
	 */
	protected void sendResponse(User recipient, String responseKey, ISFSObject params)
	{
		if (params == null)
			params = new SFSObject();
		
		// Send response to recipient
		mainExtension.send(responsePrefix + "." + responseKey, params, recipient);
	}
	
	/**
	 * Send response to clients.
	 */
	protected void sendResponse(List<User> recipients, String responseKey, ISFSObject params)
	{
		if (params == null)
			params = new SFSObject();
		
		//Send response to recipients
		mainExtension.send(responsePrefix + "." + responseKey, params, recipients);
	}
}
